Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class RuntimeInputControlWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.RuntimeInputControlWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class RuntimeInputControlWrapper

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RuntimeInputControlWrapper(InputControl inputControl)`

Method Summary
`java.lang.String` | `getErrorMessage()`
`java.text.Format` | `getFormat()`
`java.lang.String` | `getFormattedValue()`
`InputControl` | `getInputControl()`
`java.util.Map` | `getQueryResults()`
`java.lang.Object` | `getValue()`
`boolean` | `isMulti()`
`boolean` | `isMultiDistinctValues()`
`void` | `setErrorMessage(java.lang.String errorMessage)`
`void` | `setFormat(java.text.Format format)`
`void` | `setInputControl(InputControl inputControl)`
`void` | `setQueryResults(java.util.Map queryResults)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeInputControlWrapper

    public RuntimeInputControlWrapper(InputControl inputControl)

Method Detail

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### getErrorMessage

    public java.lang.String getErrorMessage()

### setErrorMessage

    public void setErrorMessage(java.lang.String errorMessage)

### getInputControl

    public InputControl getInputControl()

### setInputControl

    public void setInputControl(InputControl inputControl)

### getFormat

    public java.text.Format getFormat()

### setFormat

    public void setFormat(java.text.Format format)

### getFormattedValue

    public java.lang.String getFormattedValue()

### getQueryResults

    public java.util.Map getQueryResults()

### setQueryResults

    public void setQueryResults(java.util.Map queryResults)

### isMulti

    public boolean isMulti()

### isMultiDistinctValues

    public boolean isMultiDistinctValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.